SdFat.h File Reference

SdFat class. More...

`#include "SysCall.h"`
`#include "BlockDriver.h"`
`#include "FatLib.h"`
Include dependency graph for SdFat.h:

## Classes

class | Sd2Card
| Raw access to SD and SDHC card using default SPI library. More...
class | SdBaseFile
| Class for backward compatibility. More...
class | SdFat
| Main file system class for SdFat library. More...
class | SdFatEX
| SdFat class with extended SD I/O. More...
class | SdFatSoftSpi< MisoPin, MosiPin, SckPin >
| SdFat class using software SPI. More...
class | SdFatSoftSpiEX< MisoPin, MosiPin, SckPin >
| SdFat class using software SPI and extended SD I/O. More...
class | SdFile
| Class for backward compatibility. More...
class | SdFileSystem< SdDriverClass >
| Virtual base class for SdFat library. More...

## Macros

#define | SD_FAT_VERSION 20160801

## Detailed Description

SdFat class.

## Macro Definition Documentation

#define SD_FAT_VERSION 20160801

SdFat version YYYYMMDD